MD5SUM(1)

NOMBRE
md5sum - genera y verifica sumas de comprobación MD5

SINOPSIS
md5sum [OPCIÓN]... [ARCHIVO]...

DESCRIPCIÓN

muestra o verfica sumas de comprobación MD5 (128 bits).

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

-b, --binary
    lee en modo binario

-c, --check
    lee y verifica sumas de comprobación MD5 contenidas en ARCHIVO

--tag
    crea una suma de comprobación al estilo BSD

-t, --text
    lee en modo texto (por defecto)

-z, --zero
    finaliza cada línea de salida con NUL en lugar de un salto de línea, desactivando asimismo el escape en los nombres de archivo

  Las cinco opciones siguientes solo se utilizan al verificar sumas de comprobación:

--ignore-missing
    no emite ningún error ni informa si falta algún archivo

--quiet
    no muestra 'OK' para cada archivo que verifique

--status
    no emite ningún mensaje, el estado de salida indicará si todo transcurrió correctamente

--strict
    termina con un estado de salida distinto a cero si se encuentra con sumas de comprobación con un formato incorrecto

-w, --warn
    avisa si encuentra alguna suma de comprobación con un formato incorrecto

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y termina

Las sumas de verificación se generan tal como se describe en el RFC 1321. Para poder comprobarse, tienen que haber sido creadas con esta misma aplicación. Por defecto, se muestra una línea con la suma de comprobación, un espacio, un caracter que indica el modo de entrada ('*' para formato binario o ' ' para texto plano o cuando la parte binaria es insignificante), por último, se indica el nombre de ARCHIVO.

NOTA: en GNU no hay diferencia entre archivos binarios y en modo texto.

ERRORES
No es recomendable utilizar MD5 en implementaciones de seguridad. En su lugar, se recomienda SHA-2, implementado en sha224sum(1), sha256sum(1), sha384sum(1) y sha512sum(1) o bien BLAKE2 implementado en b2sum(1).

AUTOR
Escrito por Ulrich Drepper, Scott Miller y David Madore.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa en <https://www.gnu.org/software/coreutils/md5sum>
también disponible localmente ejecutando: info '(coreutils) md5sum invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.